import Querytable from './queryable';
declare class Filterable {
    rData: any[];
    entityType: any;
    constructor(data?: any[], { entityType }?: {
        entityType?: (data: any) => any;
    });
    filterBy(options: any): Querytable;
}
export default Filterable;
